:root {
  --red: rgb(255, 0, 0);
  --pink: rgb(236, 11, 116);
  --yellow: rgb(255, 200, 1);
  --green: rgb(2, 179, 31);
  --blue: rgb(2, 175, 234);
  --purple: rgb(91, 5, 221);
  --font-size: 0.95rem;
  --font-size-xs: 0.9rem;
  --font-size-xxs: 0.85rem;
  --font-size-bertin: 4rem;
  --gap: 18px;
  --gap-s: calc(var(--gap) / 1.5);
  --border-gap: 1px;
  --columns: repeat(3, 1fr);
  --header-height: 55px;
  --footer-height: 175px;
}

@font-face {
  font-family: "axo";
  src: url(../fonts/Axo-Medium.otf);
  font-weight: normal;
}

@font-face {
  font-family: "axo";
  src: url(../fonts/Axo-Bold.otf);
  font-weight: bold;
}

@font-face {
  font-family: "bertin";
  src: url("../fonts/BertinDotSize-VAR.ttf") format("truetype-variations");
}

html,
body {
  margin: 0;
  padding: 0;
  -moz-osx-font-smoothing: grayscale;
  -webkit-font-smoothing: antialiased;
}

body {
  font-family: "axo", Arial, Helvetica, sans-serif;
  line-height: 1.25;
}

main{
  min-height: calc(100vh - var(--header-height));
}

img{
  transition: opacity 0.2s ease;
}

img.loading {
    opacity: 0;
}

.no-js img {
  opacity: 1;
}

/* editions, book */
body:has(*.editions) header li:nth-of-type(1) a,
body:has(*.book) header li:nth-of-type(1) a {
  color: var(--red);
}

body:has(*.editions) .lang li.active,
body:has(*.editions) a:hover,
body:has(*.book) .lang li.active,
body:has(*.book) a:hover {
  color: var(--red);
}

body:has(*.editions) .overlay{
  background-color: var(--red);
}

/* workshops */
body:has(*.workshops) ul.nav li:nth-of-type(2) a {
  color: var(--pink);
}

body:has(*.workshops) .lang li.active,
body:has(*.workshops) a:hover {
  color: var(--pink);
}

body:has(*.workshops) .overlay {
  background-color: var(--pink);
}

body:has(*.workshops) article a:hover + .info * {
  color: var(--pink);
}

/* collection, book-collection */
body:has(*.collection) header li:nth-of-type(3) a,
body:has(*.book-collection) header li:nth-of-type(3) a {
  color: var(--yellow);
}

body:has(*.collection) .lang li.active,
body:has(*.collection) a:hover,
body:has(*.book-collection) .lang li.active,
body:has(*.book-collection) a:hover {
  color: var(--yellow);
}

body:has(*.collection) .overlay{
  background-color: var(--yellow);
}

/* impressions */
body:has(*.impressions, *.impression) header li:nth-of-type(4) a {
  color: var(--green);
}

body:has(*.impressions, *.impression) .lang li.active,
body:has(*.impressions, *.impression) a:hover {
  color: var(--green);
}

body:has(*.impressions, *.impression) .overlay {
  background-color: var(--green);
}

body:has(*.impressions, *.impression) article a:hover + .info * {
  color: var(--green);
}

/* about */
body:has(*.about) header li:nth-of-type(5) a {
  color: var(--purple);
}

body:has(*.about) .lang li.active,
body:has(*.about) a:hover {
  color: var(--purple);
}

/* cart */
body:has(*.cart) .lang li.active,
body:has(*.cart) a:hover {
  color: var(--blue);
}

.news a:hover{
  color: var(--blue);
}

p,
ul,
li,
h1,
h2,
h3 {
  font-size: var(--font-size);
  font-weight: normal;
  color: black;
  text-decoration: none;
  list-style: none;
  padding: 0;
  margin: 0;
}

@media (pointer: coarse) {
  a:hover{
    color: initial !important;
  }
}

@supports (text-wrap: pretty) {
  p,
  ul,
  li,
  h1,
  h2,
  h3,
  span {
    text-wrap: pretty;
  }
}

strong {
  font-weight: normal;
}

button {
  font-family: "axo", Arial, Helvetica, sans-serif;
  background-color: transparent;
  font-size: var(--font-size-xs);
  color: black;
  border-radius: 0;
  border: none;
}

button.add {
  cursor: pointer;
  font-family: "axo", Arial, Helvetica, sans-serif;
  padding: 0.3em 0.6em 0.4em 0.6em;
  border: 2px solid black;
}

.buy {
  display: flex;
  gap: calc(var(--gap)*2);
  margin-top: calc(var(--gap)*2);
}

.buy span {
  display: block;
  font-size: var(--font-size-xxs);
}

.buy p {
  line-height: 1.15;
}

button.add:hover {
  color: white;
}

.single-page .image-container:nth-of-type(1) {
  max-height: calc(100vh - var(--header-height));
  overflow: hidden;
}

.image-container.bg {
  display: flex;
  box-sizing: border-box;
  justify-content: center;
  padding: calc(var(--gap)*2);
}

.gallery:has(.img-gallery) .image-container.bg {
  aspect-ratio: 3/2;
  margin-bottom: var(--border-gap);
}

.gallery:has(.img-gallery) .image-container:nth-of-type(1):not(.bg) {
  max-height: auto !important;
  margin-bottom: var(--border-gap);
}

.image-container.bg img {
  display: inline !important;
  max-height: 100%;
  max-width: 100%;
  object-fit: contain;
}

.description * {
  font-size: var(--font-size);
}

.specs {
  margin-top: var(--gap);
}

h1 {
  text-wrap: nowrap;
  font-weight: bold;
  flex-grow: 1;
}

a {
  color: inherit;
  text-underline-offset: 0.15em;
  text-decoration-thickness: 2px;
}

mark {
  font-size: var(--font-size-xxs);
  background: none;
}

strong {
  font-size: var(--font-size-xxs);
}

.about p:has(strong):nth-of-type(4n+1) strong {
  color: var(--purple);
}

.about p:has(strong):nth-of-type(4n+2) strong {
  color: var(--red);
}

.about p:has(strong):nth-of-type(4n+3) strong {
  color: var(--yellow);
}

.about p:has(strong):nth-of-type(4n+4) strong {
  color: var(--green);
}

article {
  position: relative;
}

article.single-page {
  position: relative;
  display: flex;
}

article.single-page .info {
  position: sticky;
  top: 56px;
  height: fit-content;
  padding: var(--gap);
  box-sizing: border-box;
  width: 45%;
}

article.single-page .info *:not(.description *) {
  font-weight: normal;
}

article.single-page .gallery {
  padding-right: var(--border-gap);
  box-sizing: border-box;
  flex: 1;
}

.gallery img+img {
  margin-top: var(--border-gap);
}

article.single-page .description {
  margin-top: var(--gap);
}

article.single-page .gallery img {
  display: block;
  width: 100%;
}

article.single-page .description p+p {
  text-indent: 1.6em;
}

.time {
  margin-bottom: 0.5em;
}

article.card .image-container {
  position: relative;
  aspect-ratio: 3/2;
}

.overlay {
  opacity: 0;
  z-index: 2;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: var(--blue);
  mix-blend-mode: screen;
}

.image-container{
  position: relative;
  background-color: rgb(227, 227, 227);
}

.card a:hover img {
  filter: invert(1) grayscale(1) contrast(1.5);
  opacity: 1;
  mix-blend-mode: color-burn;
}

article.card.past .image-container {
  filter: grayscale(1);
  opacity: 0.5;
}

.editions .image-container,
.impressions .image-container {
  display: flex;
  box-sizing: border-box;
  justify-content: center;
  padding: calc(var(--gap)*1.5);
  padding-bottom: calc(var(--gap)*2.5);
}

.impressions .image-container {
  padding-bottom: calc(var(--gap)*1.5);
}

.editions .image-container img,
.impressions .image-container img {
  /* box-shadow: 0px 0px 4px rgb(174, 174, 174); */
}

.image-container.cover-fill {
  padding: 0;
}

.image-container.cover-fill img {
  width: 100%;
  height: 100%;
  object-fit: cover;
}

article.card img {
  display: block;
  max-width: 100%;
  max-height: 100%;
}

.cover article.card img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
}

article a:hover .overlay {
  opacity: 1;
}

article.card p {
  margin-top: 0.2em;
}

.editions .card .info {
  display: flex;
  justify-content: space-between;
  gap: var(--gap);
  position: absolute;
  bottom: var(--gap-s);
  left: var(--gap-s);
  width: calc(100% - calc(var(--gap-s)*2));
}

.cover .card .info,
.impressions .card .info {
  padding: var(--gap-s);
}

.editions .card:hover>.info * {
  color: var(--red);
}

.editions .card .info * {
  font-size: var(--font-size-xs);
}

#conducted {
  margin-top: 0.5em;
}

ul.names li {
  display: inline-block;
}

ul.names li+li::before {
  content: ", ";
}

header {
  position: sticky;
  top: 0;
  z-index: 10;
  background-color: white;
  display: flex;
  justify-content: space-between;
  font-weight: bold;
}

footer {
  display: flex;
  gap: var(--gap);
  margin-top: calc(var(--gap)*2);
}

.contact {
  margin-top: var(--gap);
}

.contact a,
.contact li a {
  text-decoration: none;
}

header a,
footer a {
  text-decoration: none;
}

footer {
  padding: var(--gap);
}

footer p,
footer li {
  font-weight: bold;
}

footer p,
footer ul,
footer div {
  flex: 1;
}

footer img {
  max-width: 122px;
  height: 100%;
}

.logo-container {
  min-width: 122px;
}

nav {
  width: 100%;
  font-size: var(--font-size);
  display: flex;
  padding: var(--gap);
}

nav li {
  font-weight: bold;
}

nav li a, h1 a{
  transition: color 0.15s ease;
}

.sr-only {
  display: none;
}

.left-panel {
  background: transparent;
}

.lang {
  text-wrap: nowrap;
  margin-left: var(--gap);
}

.lang li {
  display: inline-block;
}

.lang a {
  font-weight: bold;
  text-transform: uppercase;
  text-decoration: none;
}

#cart {
  font-size: var(--font-size);
  margin-left: calc(var(--gap)*2.5);
}

.desktop li {
  font-weight: bold;
  display: inline-block;
}

.desktop ul:not(.lang) li+li {
  margin-left: var(--gap)
}

.lang li:last-of-type::before {
  content: "/";
  font-weight: bold;
  color: black;
}

.lang li.active {
  color: var(--blue);
}

.grid {
  padding: 0 var(--border-gap);
}

.grid:is(.editions, .workshops, .impressions) {
  display: grid;
  grid-template-columns: var(--columns);
  gap: var(--border-gap);
}

.grid section.cover {
  display: grid;
  grid-template-columns: var(--columns);
  gap: var(--border-gap);
}

.cover h2 {
  font-weight: bold;
  padding: var(--gap);
  grid-column: -1/1;
}

.news:not(.single-page):last-of-type {
  margin-top: var(--gap);
}

body:has(.news) article a:hover + .info * {
  color: var(--blue);
}

.about {
  display: flex;
  padding: var(--gap);
  column-gap: var(--gap);
}

.practical-info {
  flex: 1;
  flex-shrink: 0;
}

.about-text {
  flex: 2;
}

.about-text img {
  width: 50%;
}

.machines {
  margin-top: calc(var(--gap)*2);
}

.machines img {
  margin-top: var(--gap);
}

article.collection {
  background-color: rgb(227, 227, 227);
  padding: var(--gap);
  margin: 0 1.5px;
}

.petite-collection a {
  display: flex;
  column-gap: var(--gap);
  justify-content: space-between;
  text-decoration: none;
}

article.collection h2,
article.collection h3 {
  transition: font-size 0.3s ease;
  font-family: "bertin", sans-serif;
  font-size: var(--font-size-bertin);
  line-height: 1.15;
}

article.collection h2 {
  font-variation-settings: "size" 650;
}

article.collection h3 {
  font-variation-settings: "size" 400;
}

article.collection img {
  max-width: 100%;
  max-height: 100%;
}

article.collection .image-container {
  height: clamp(250px, 60vh, 500px);
}

article.collection+article.collection {
  margin-top: var(--border-gap);
}

article.collection div:first-of-type {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 60%;
}

.mobile {
  display: none;
}

.mobile #cart {
  margin-left: var(--gap);
}

.sitemap {
  line-height: 1.5;
}

.swiper-wrapper {
  display: block !important;
  height: auto !important;
}

.swiper button {
  height: 100%;
  padding: 0 !important;
  margin: 0 !important;
  display: none;
  top: 0 !important;
  width: 50%;
}

.swiper-pagination {
  display: none;
  top: var(--gap) !important;
  right: var(--gap) !important;
  left: auto !important;
  width: fit-content !important;
  height: fit-content !important;
  font-size: var(--font-size);
}

.swiper-button-next::after,
.swiper-button-prev::after {
  content: '';
}

.swiper-button-next {
  cursor: e-resize !important;
  right: 0 !important;
}

.swiper-button-prev {
  cursor: w-resize !important;
  left: 0 !important;
}

.swiper svg {
  display: none;
}

.cart {
  padding: var(--gap);
  min-height: calc(100svh - var(--header-height) - var(--footer-height));
}

@media screen and (min-width: 1700px) {

  :root {
    --font-size: 1.1rem;
    --font-size-xs: 1.05rem;
    --font-size-xxs: 1rem;
    --gap: 20px;
    --header-height: 62px;
    --gap-s: calc(var(--gap) / 1.5);
  }

  footer img {
    max-width: 125px;
  }
}

@media screen and (min-width: 1900px) {
  :root {
    --columns: repeat(4, 1fr);
  }

  footer img {
    max-width: 140px;
  }
}

@media screen and (max-width: 1020px) {
  :root {
    --columns: repeat(2, 1fr);
    --header-height: 49px;
    --footer-height: 199px;
  }

  .desktop {
    display: none;
  }

  .mobile {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
  }

  .mobile nav {
    padding: 0;
  }

  h1 {
    padding: var(--gap)
  }

  .lang {
    padding: var(--gap) 0;
  }

  #cart {
    padding: var(--gap) 0;
  }

  .mobile nav {
    top: var(--header-height);
    position: fixed;
    background-color: white;
    display: none;
    transform: translateY(-100%);
  }

  .mobile nav.active {
    display: block;
    transform: translateY(0);
  }

  svg {
    transition: transform 0.3s ease;
  }

  svg.active {
    transform: translateY(1.5px);
  }

  line {
    transition: all 0.3s ease;
  }

  svg.active line:nth-of-type(1) {
    transform: rotate(45deg);
    transform-origin: 7px 7px;
  }

  line:nth-of-type(2) {
    transition: opacity 0.2s ease;
  }

  svg.active line:nth-of-type(2) {
    opacity: 0;
  }

  svg.active line:nth-of-type(3) {
    transform: rotate(-45deg);
    transform-origin: 4px 4px;
  }

  .mobile nav li {
    padding: calc(var(--gap-s)/2) var(--gap);
  }

  .mobile nav ul {
    width: 100%;
  }

  .mobile nav li:last-of-type {
    padding-bottom: var(--gap);
    /* border-bottom: 1px solid black; */
  }

  .open-menu {
    padding: 0 var(--gap);
  }

  .wrapper {
    z-index: 10;
    width: 100%;
    display: flex;
    background-color: white;
  }

  footer {
    display: flex;
    column-gap: var(--gap);
  }

  footer div {
    flex: unset;
  }

  .sitemap {
    margin-left: calc(var(--gap)*2);
  }
}

@media screen and (max-width: 850px) {

  :root {
    --font-size-bertin: 3rem;
  }

  .single-page h2, .single-page h3{
    padding-right: calc(var(--font-size) * 5);
  }

  article.single-page {
    display: grid;
  }

  .gallery {
    position: relative;
    grid-row-start: 1;
  }

  article.single-page .gallery{
     padding-right: 0;
  }

  .swiper-wrapper {
    aspect-ratio: 3/2;
  }

  .book .gallery:has(.img-gallery) .image-container:nth-of-type(1) {
    aspect-ratio: unset;
    margin-bottom: 0;
  }

  .swiper-wrapper {
    display: flex !important;
    height: 100% !important;
  }

  .swiper {
    width: 100%;
  }

  .swiper button {
    display: block;
  }

  .swiper-pagination{
    display: block;
  }

  article.single-page .info {
    width: 100%;
  }
}

@media screen and (max-width: 650px) {

  footer {
    flex-wrap: wrap;
  }

  footer p,
  footer ul,
  footer div {
    flex: unset;
  }
}

@media screen and (max-width: 600px) {
  :root {
    --gap: 15px;
    --font-size: 0.85rem;
    --font-size-xs: 0.8rem;
    --font-size-xxs: 0.8rem;
    --header-height: 47px;
    --footer-height: 283px;
  }

  a {
    text-decoration-thickness: 1.5px;
  }

  footer img {
    max-width: 105px;
  }

  .logo-container {
    min-width: 105px;
  }

  line {
    stroke-width: 1.7px;
  }

  .about {
    display: block
  }

  .about-text {
    margin-top: calc(var(--gap)*2);
  }
}

@media screen and (max-width: 480px) {
  :root {
    --columns: 1fr;
  }
}

@media screen and (max-width: 398px) {

  :root {
    --footer-height: 370px;
  }

  .sitemap {
    margin-left: 0;
  }
}

@media screen and (max-width: 360px) {

  :root {
    --header-height: 82px;
  }

  h1 {
    width: 100%;
    padding-bottom: 0;
  }

  #cart {
    flex: 1;
  }

  .wrapper {
    flex-wrap: wrap;
  }
}